Boost.Nowide

Public Member Functions | List of all members
boost::nowide::basic_ifstream< CharType, Traits > Class Template Reference

Same as std::basic_ifstream<char> but accepts UTF-8 strings under Windows. More...

`#include <boost/nowide/fstream.hpp>`

Inheritance diagram for boost::nowide::basic_ifstream< CharType, Traits >:

## Public Member Functions
| basic_ifstream (const char *file_name, std::ios_base::openmode mode=std::ios_base::in)
| basic_ifstream (const std::string &file_name, std::ios_base::openmode mode=std::ios_base::in)
template<typename Path >
| basic_ifstream (const Path &file_name, detail::enable_if_path_t< Path, std::ios_base::openmode > mode=std::ios_base::in)
| basic_ifstream (const basic_ifstream &)=delete
basic_ifstream & | operator= (const basic_ifstream &)=delete
| basic_ifstream (basic_ifstream &&other) noexcept
basic_ifstream & | operator= (basic_ifstream &&rhs) noexcept

## Detailed Description

template<typename CharType, typename Traits = std::char_traits<CharType>>
class boost::nowide::basic_ifstream< CharType, Traits >

Same as std::basic_ifstream<char> but accepts UTF-8 strings under Windows.

Affected by BOOST_NOWIDE_USE_FILEBUF_REPLACEMENT and BOOST_NOWIDE_USE_WCHAR_OVERLOADS

The documentation for this class was generated from the following file:

- boost/nowide/fstream.hpp